<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateWMSReflectReceiveSkusTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('w_m_s_reflect_receive_skus', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('wms_receive_id')->index();
            $table->string('ASNLINENO')->nullable();
            $table->string('SKU')->index();
            $table->string('ALTERNATE_SKU1')->index()->comment('条码');
            $table->string('SKUDESCRC')->nullable()->comment('产品名称');
            $table->string('EXPECTEDQTY_EACH')->nullable()->comment('预期收货数量');
            $table->string('UOM')->nullable()->comment('单位');
            $table->string('LINESTATUS')->nullable();
            $table->string('LOTATT05')->nullable()->comment('ERP属性仓');
            $table->string('USERDEFINE4')->nullable();
            $table->string('USERDEFINE5')->nullable();
            $table->string('USERDEFINE6')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('w_m_s_reflect_receive_skus');
    }
}
